PDA

View Full Version : Download of the package has failed. Swype is already installed...



soulesschild
09-11-2010, 9:22 PM
So using new Swype Installer and it's starting to annoy me to no end. Everytime I install Swype I get this message,

Download of package failed. Swype is already installed. Please uninstall and try again.


I've uninstalled Swype, Swype installer, redownloaded them multiple times but every time this happens and I'm unable to use Swype properly. Any ideas?

CM 6.0
Downloaded using XScope
Droid 1

brian.resnik
09-11-2010, 9:35 PM
Just updated the known issues thread with a possible workaround for this issue. Check it out.

migr9379163
09-11-2010, 10:11 PM
not working for me :(

soulesschild
09-11-2010, 10:13 PM
Looks like the fix you posted seemed to have worked. It still threw the already installed error but it works now.

drumtrucker
09-12-2010, 12:08 AM
I have tried everything and cannot get SWYPE to work. this is friggin ridiculous.

Going to have to give up.

Graffiti or Slide It (yuck) will have to do.

Segarra
09-12-2010, 3:04 AM
Still not working
Step 7 means redownload swype installer? then swype?

GirLuvsDroid
09-12-2010, 7:06 AM
I'm also experiencing this error message, after many many attempts to install. Originally yesterday, I had the issue with expired installer error message after downloading the new installer. Once that was fixed, I was able to successfully download and get to the install screen for Swype and watch it install, but when I tapped "done" or alternatively, the "back" key, I received the error message from the title of this thread.

Since I actually saw it install, each time I would go to Language & keyboard settings and see that it was there, check Swype and configure (the Swype options are a little different than in the last version). However, when attempting to use Swype, would get the message that Swype is not configured for my device. No amount of switching input methods or rebooting, etc., would get Swype to work at all.

The Swype version that installs is 2.4.44.10912.t100.

I have a Droid1 running the Bugless Beast v0.5 beta (2.2 Froyo), 1.1Ghz slayher kernel and Sweeter Home 2 home replacement. I use apps2sd, but have Swype installed to my device. I've been using Swype since the original beta, and I've had my current setup, running the soon-to-be expired (.7625) Swype with no problems, for the last couple of weeks.

My log from the time I uninstalled Swype and reinstalled the Swype Installer, rebooted, installed Swype and tried to use the new Swype version is here: http://pastebin.com/8ecB3nuV

brian.resnik
09-12-2010, 7:40 AM
GirLuvsDroid:

Your logs are showing that the license files are failing to load. Please try the "Basic Troubleshooting Steps" listed in our HOW-TO thread. You may also need to enable SWAP as described in our "KNOWN ISSUES" thread. It is likely that the installer is being prematurely terminated and thus preventing the license files from being installed properly.

GirLuvsDroid
09-12-2010, 10:07 AM
Thank you Brian. I had already tried all the basic troubleshooting tips (other than removing home screen widgets, which requires major editing of my Sweeter Home 2 theme) several times. Finally, I implemented all of those steps again, but also downloaded and used Swapper to temporarily enable swap before installing Swype again. This time, Swype fully installed then went through the registration process and asked if I wanted to enable Swype (before, it wasn't getting to the registration step). The new Swype version is working perfectly now. I appreciate the help!